#
# spec file for package flash-player (Version 7.0.63.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:           flash-player
License:        Other License(s), see package, Commercial
Group:          Productivity/Networking/Web/Browsers
Summary:        Macromedia Flash plugin
Provides:       netscape-plugins
Obsoletes:      netscape-plugins
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Version:        7.0.63.0
Release:        1.2
Source0:        install_flash_player_7_linux_r63.tar.bz2
ExclusiveArch: %ix86

%description
This package contains Macromedia's Flash plugin for the supported
webbrowsers. This includes Netcape6, Mozilla (all Gecko browsers) and
Konqueror. Netscape 4 is not able to use Flash 6.



Authors:
--------
    Macromedia

%prep
%setup -n install_flash_player_7_linux

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/%_lib/browser-plugins/
cp -a *.{so,xpt} $RPM_BUILD_ROOT/usr/%_lib/browser-plugins

%files
%defattr(-,root,root,-)
%doc [Rr]ead[Mm]e.*
/usr/%_lib/browser-plugins/*

%changelog -n flash-player
* Fri Mar 17 2006 - ltinkl@suse.cz
- fix #158227 - VUL-0: vulnerability in flash-player
  (Flash installer updated to 7.0.63.0)
* Mon Nov 07 2005 - dmueller@suse.de
- update to 7.0.25 (#132527, CAN-2005-2628)
* Wed Mar 31 2004 - aj@suse.de
- Update to version 6.0r81:
  * flash scripting fixes
  * video quality and playback speed improvements
  * performance improvements
* Fri Jun 20 2003 - ro@suse.de
- don't include dir in filelist, is in filesystem package now
* Sun Mar 16 2003 - ro@suse.de
- security update to version 6.0r79
* Mon Feb 24 2003 - ro@suse.de
- created (obsoletes old netscape-plugins package)
